# About {#about}

## Publications

Below is the list of publications that contains more in-depth description of the computational methods implemented in Reaktoro for performing chemical equilibrium and kinetics calculations for multiphase systems.

|   |
|---|
| Leal, A.M.M., Kulik, D.A., Saar, M.O. <b>(2017)</b>. *Ultra-fast reactive transport simulations when chemical reactions meet machine learning: Chemical equilibrium*. [arXiv:1708.04825](http://arxiv.org/abs/1708.04825) |
| Leal, A.M.M., Kulik, D.A., Smith, W.R., Saar, M.O. <b>(2017)</b>. *An overview of computational methods for chemical equilibrium and kinetic calculations for geochemical and reactive transport modeling*. **Pure and Applied Chemistry**, 89(5), 597–643. [doi](http://doi.org/10.1515/pac-2016-1107) |
| Leal, A.M.M., Kulik, D.A., Kosakowski, G., Saar, M.O. <b>(2016)</b> . *Computational methods for reactive transport modeling: An extended law of mass-action, xLMA, method for multiphase equilibrium calculations*. **Advances in Water Resources**. [doi](http://doi.org/10.1016/j.advwatres.2016.08.008) |
| Leal, A.M.M., Kulik, D.A., Saar, M.O. <b>(2016)</b> . *Enabling Gibbs energy minimization algorithms to use equilibrium constants of reactions in multiphase equilibrium calculations*. **Chemical Geology**, 437, 170–181. [doi](http://doi.org/10.1016/j.chemgeo.2016.05.029) |
| Leal, A.M.M., Kulik, D.A., Kosakowski, G. <b>(2016)</b> . *Computational methods for reactive transport modeling: A Gibbs energy minimization approach for multiphase equilibrium calculations*. **Advances in Water Resources**, 88, 231–240. [doi](http://doi.org/10.1016/j.advwatres.2015.11.021) |
| Leal, A.M.M., Blunt, M.J., LaForce, T.C. <b>(2015)</b> . *A chemical kinetics algorithm for geochemical modelling*. **Applied Geochemistry**, 55, 46–61. [doi](http://doi.org/10.1016/j.apgeochem.2014.09.020) |
| Leal, A.M.M., Blunt, M.J., LaForce, T.C. <b>(2014)</b> . *Efficient chemical equilibrium calculations for geochemical speciation and reactive transport modelling*. **Geochimica et Cosmochimica Acta**, 131, 301–322. [doi](http://doi.org/10.1016/j.gca.2014.01.038) |
| Leal, A.M.M., Blunt, M.J., LaForce, T.C. <b>(2013)</b> . *A robust and efficient numerical method for multiphase equilibrium calculations: Application to CO2-brine-rock systems at high temperatures, pressures and salinities*. **Advances in Water Resources**, 62, Part C, 409–430. [doi](http://doi.org/10.1016/j.advwatres.2013.02.006) |

## License

Reaktoro is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Reaktoro is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with Reaktoro. If not, see <http://www.gnu.org/licenses/>.

<!-- ## Contributors

| Name | Affiliation | Country
|-|-|-
| [Dmitrii Kulik, Dr.][kulik] | Paul Scherrer Institute | Switzerland
| [Georg Kosakowski, PD Dr.][kosakowski] | Paul Scherrer Institute | Switzerland
| [Martin Saar, Prof. Dr.][saar] | ETH Zurich | Switzerland -->

## Contact

For comments and requests, send an email to [allan.leal@erdw.ethz.ch](mailto:allan.leal@erdw.ethz.ch).

[kulik]: https://www.psi.ch/les/dmitrii-a_-kulik
[kosakowski]: https://www.psi.ch/les/georg-kosakowski
[saar]: http://www.geophysics.ethz.ch/people/person-detail.html?persid=206195